Bug 657085 - systemd cherokee.service
Summary: systemd cherokee.service
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cherokee   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Pavel Lisý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 21:07 UTC by Michał Piotrowski
Modified: 2011-10-01 01:33 UTC (History)
4 users (show)

Fixed In Version: cherokee-1.2.99-2.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-02 01:48:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cherokee.service (168 bytes, text/plain)
2010-11-24 21:07 UTC, Michał Piotrowski
no flags Details
cherokee.service v2 - forking version (184 bytes, text/plain)
2010-11-24 21:43 UTC, Michał Piotrowski
no flags Details
cherokee.service v2 - alternative version run daemon without config file (153 bytes, text/plain)
2010-11-24 21:50 UTC, Michał Piotrowski
no flags Details

Description Michał Piotrowski 2010-11-24 21:07:28 UTC
Created attachment 462754 [details]
cherokee.service

systemd service file for cherokee web server

Comment 1 Michał Piotrowski 2010-11-24 21:43:51 UTC
Created attachment 462757 [details]
cherokee.service v2 - forking version

Changed to type=forking as suggested by Lennart

Comment 2 Michał Piotrowski 2010-11-24 21:50:42 UTC
Created attachment 462761 [details]
cherokee.service v2 - alternative version run daemon without config file

Lennart suggested that we should simplify configuration. This version doesn't pass -C /path/to/config.file to the daemon. Please select the version you think is appropriate

Comment 3 Michał Piotrowski 2010-12-09 08:57:55 UTC
This service should start after network.target
After=syslog.target network.target

Comment 4 Fedora Update System 2011-02-23 06:48:22 UTC
cherokee-1.0.20-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.fc15

Comment 5 Fedora Update System 2011-02-23 06:49:17 UTC
cherokee-1.0.20-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.fc14

Comment 6 Fedora Update System 2011-02-23 06:50:21 UTC
cherokee-1.0.20-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el4

Comment 7 Fedora Update System 2011-02-23 07:01:27 UTC
cherokee-1.0.20-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el5

Comment 8 Fedora Update System 2011-02-23 07:04:52 UTC
cherokee-1.0.20-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el6

Comment 9 Fedora Update System 2011-02-23 20:29:21 UTC
cherokee-1.0.20-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.fc15

Comment 10 Fedora Update System 2011-02-25 15:30:55 UTC
cherokee-1.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.fc15

Comment 11 Fedora Update System 2011-02-25 15:31:47 UTC
cherokee-1.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.fc14

Comment 12 Fedora Update System 2011-02-25 15:34:00 UTC
cherokee-1.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el6

Comment 13 Fedora Update System 2011-02-25 15:35:00 UTC
cherokee-1.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el5

Comment 14 Fedora Update System 2011-02-25 15:36:05 UTC
cherokee-1.2.1-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el4

Comment 15 Fedora Update System 2011-03-02 01:48:03 UTC
cherokee-1.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-03-03 02:57:57 UTC
cherokee-1.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-03-14 17:25:47 UTC
cherokee-1.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-03-14 17:27:04 UTC
cherokee-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-03-14 17:28:14 UTC
cherokee-1.2.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Tomasz Torcz 2011-04-14 09:12:50 UTC
Systemd unit file in cherokee-1.2.1-1.fc14.x86_64 is misplaced: /etc/systemd/system/cherokee.service. It should be in /lib/systemd/system. /etc is for administrator override.

Comment 21 Fedora Update System 2011-09-13 10:16:53 UTC
cherokee-1.2.99-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.el5

Comment 22 Michał Piotrowski 2011-09-13 10:38:54 UTC
Hi,

Thanks a lot for cherokee 1.2.99 EL5 version!

Best regards,
Michal

Comment 23 Pavel Lisý 2011-09-13 11:17:35 UTC
It seams in 1.2.99 SSL is working now even with big html pages. 

There was problem in 1.2.98 with it.

You can get it from http://ftp-hk.tmapy.cz/tmapy-twist/centos/5/testing/ or test it on that site for example:
https://ftp-hk.tmapy.cz/centos/6.0/os/x86_64/Packages/

And please add +1 karma if you find it OK.

Pavel

Comment 24 Fedora Update System 2011-09-14 10:10:59 UTC
cherokee-1.2.99-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-2.el4

Comment 25 Fedora Update System 2011-09-29 03:24:58 UTC
cherokee-1.2.99-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2011-10-01 01:32:02 UTC
cherokee-1.2.99-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.